Cutline Theme for WordPress

One Giant Leap for Mankind

Cutline Theme for WordPress header image 2

Cutline Version 1.4 Released

January 10th, 2009 · 21 Comments · Release Notes

As we earlier noted, the present versions of Cutline will not work perfectly with the recently released WordPress 2.7. Well, Cutline will not exactly break your site; the theme will still work with WP 2.7, although some of the new features, like threaded comments, post classes, and the like will not be present.

And so we are pleased to announce the release of Cutline 1.4, which is an upgrade of Cutline 1.3 (two-column, right sidebar). This stems from the original Cutline release, in contrast to version 2.1 and the three-column versions, which are newer variants.

We consider this new release to be a major one, but users might not notice the difference from the outside. Much of the improvements we did are under the hood. Cutline 1.4 was an update by our resident designer, Sophia Lucero, who has also done several other designs in Splashpress Media’s blog network.

Update

The following editions have also been updated. Same basic release notes apply.

What’s in this Release

1. Threaded comments

WordPress 2.7 allows up to 10 nested levels, but in this case, we recommend only a few (up to 5 perhaps), especially because of the width of the main column, which might not accommodate more.

We replaced comment numbering with gravatars. The comment permalinks can be accessed through the comment time stamp.

2. Post classes

Each post in The Loop is now wrapped with its own DIV. Sticky posts have the corresponding CSS classes. These are unstyled as of now, but the update gives you the option of changing the styling of sticky posts.

3. Image CSS classes

Cutline 1.4 now supports WordPress’ built in image classes (.alignnone, .alignleft, .aligncenter, .alignright), image captions, and image galleries.

4. Minor tweaks to several other theme files.

5. wp_page_menu() was not used.

Why? It’s just a wrapper around wp_list_pages and adds extra code that we don’t need for the top menu.

Notes

Note that you should only use Cutline 1.4 with WordPress 2.7 up. Cutline 1.4 is not compatible with older versions of WP.

If you are upgrading from an older Cutline version, we recommend that you replace all your existing theme files with this one (be sure to make a backup, if you made some customizations). While you might not notice many changes from viewing your blog, much of the work we did here were under the hood.

Also, we wanted to release all the updates in one go, but since we’re still working on the other editions, we will just update this post with incremental releases.

You can download Cutline 1.4 here.

Tags:


21 Comments so far ↓

Leave a Comment (Need help? Visit our Support page and Forums first.)